Premium CAC verification with additional data.
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/verification/api/cac_basic_premium/" \ -H "Content-Type: application/json" \ -d '{ "rc_number": "e.g. RC7339654", "company_type": "Select Company Type" }'{ "data": { "lga": "Birnin Kudu", "city": "Akure", "state": "DELTA State", "directors": {}, "rc_number": 92932, "company_name": "TEST COMPANY", "company_type": "RC", "branchAddress": "lekki phase 10, Osun state", "email_address": "test@test.com", "company_status": "Active", "company_address": "10 lekki phase 12, Ousn state", "registrationDate": "1986-06-04T00:00:00Z" }, "status": true, "response_code": "00", "message": "string", "billing_info": { "was_charged": true, "amount": "string", "currency": "string" }}Response Codes & Statuses: Prembly API responses include custom
response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).Prembly Slack Community
Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.
Join Slack Channel